Sketcher SketchObject/fr: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Created page with "Un Sketcher SketchObject, ou formellement un {{incode|Sketcher::SketchObject}}, est l'élément de base pour créer des objets 2D avec l'Sketche...")
Line 5: Line 5:
[[File:Sketcher_Sketch.svg|32px]]
[[File:Sketcher_Sketch.svg|32px]]


A [[Sketcher_SketchObject|Sketcher SketchObject]], or formally a {{incode|Sketcher::SketchObject}}, is the base element to create 2D objects with the [[Sketcher_Workbench|Sketcher Workbench]].
Un [[Sketcher_SketchObject/fr|Sketcher SketchObject]], ou formellement un {{incode|Sketcher::SketchObject}}, est l'élément de base pour créer des objets 2D avec l'[[Sketcher_Workbench/fr|Atelier Sketcher]].


The {{incode|Sketcher::SketchObject}} is derived from [[Part_Part2DObject|Part Part2DObject]], which means it is a [[Part Feature|Part Feature]] object specialized for 2D geometry. Like Part2DObject, the SketchObject can be attached to planes and faces. In addition to this, the SketchObject can handle geometrical constraints of the lines and curves that are drawn within it.
The {{incode|Sketcher::SketchObject}} is derived from [[Part_Part2DObject|Part Part2DObject]], which means it is a [[Part Feature|Part Feature]] object specialized for 2D geometry. Like Part2DObject, the SketchObject can be attached to planes and faces. In addition to this, the SketchObject can handle geometrical constraints of the lines and curves that are drawn within it.

Revision as of 13:52, 1 December 2019

Other languages:

Introduction

Un Sketcher SketchObject, ou formellement un Sketcher::SketchObject, est l'élément de base pour créer des objets 2D avec l'Atelier Sketcher.

The Sketcher::SketchObject is derived from Part Part2DObject, which means it is a Part Feature object specialized for 2D geometry. Like Part2DObject, the SketchObject can be attached to planes and faces. In addition to this, the SketchObject can handle geometrical constraints of the lines and curves that are drawn within it.

Simplified diagram of the relationships between the core objects in FreeCAD. The Sketcher::SketchObject class is specialized for 2D shapes, and in addition it can handle constraints.

Utilisation

  1. Switch to the Sketcher Workbench.
  2. Press Sketcher NewSketch.
  3. Select a Sketch orientation: XY-plane, XZ-plane, or YZ-plane. Optionally also choose Reverse direction, and give an Offset value.
  4. Press OK.

Although the SketchObject can be used by itself to draw on a plane, it is most commonly used in conjunction with the PartDesign Workbench to create extruded solids.

  1. Switch to the PartDesign Workbench.
  2. Press PartDesign Body.
  3. Press PartDesign NewSketch.
  4. Select feature: XY_Plane (Base plane), XZ_Plane (Base plane), or YZ_Plane (Base plane).
  5. Press OK.

Propriétés

See Property for all property types that scripted objects can have.

A Sketcher SketchObject (Sketcher::SketchObject class) is derived from a Part Part2DObject (Part::Part2DObject class), therefore it shares all the latter's properties.

In addition to the properties described in Part Part2DObject, the basic Sketcher SketchObject has the following properties in the property editor.

Données

Attachment

  • DonnéesMap Mode: See Part Attachment for more information on all attachment mapping modes.

Sketch

  • DonnéesConstraints: named constraints, if they exist; otherwise it is an empty list [].

Vue

Auto Constraints

  • VueAutoconstraints: if true it will try setting constraints when the geometry is drawn.

Visibility automation

  • VueEditing Workbench: normally SketcherWorkbench, it is the name of the workbench to activate when editing the sketch.
  • VueHide Dependent: if true all objects that depend on the sketch are hidden when opening the sketch.
  • VueRestore Camera: if true the camera position is saved before opening the sketch, and is restored after closing it.
  • VueShow Links: if true all objects used in links to external geometry are shown when opening the sketch.
  • VueShow Support: if true all objects this sketch is attached to are shown when opening the sketch.

Création de scripts

See also: FreeCAD Scripting Basics, and scripted objects.

See Part Feature for the general information.

A Sketcher SketchObject is created with the addObject() method of the document.

import FreeCAD as App

doc = App.newDocument()
obj = App.ActiveDocument.addObject("Sketcher::SketchObject", "Name")
obj.Label = "Custom label"